Subject: bug#25022: 25.1.50; Different highlighting for different citation level in message-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Dec 2016 17:31:26 +0200

> From: Hong Xu <[email-masked]>
> Date: Tue, 06 Dec 2016 01:17:35 -0800
> Cc: [email-masked]
> 
> I see the reason: gnus-message-citation-mode should see whether the
> current major mode is derived from message-mode, rather than equal. I'll
> probably find another fix later.

If you change the condition to be true for any mode derived from
message-mode, then all of them will inherit this feature.  Are we sure
those other modes all want that?  For example, gnus-art.el defines one
such mode; up until now, that mode didn't use this feature, maybe that
was for a good reason?

(Caveat: I don't use Gnus, nor message-mode.)

Thanks.